{
    "module": null,
    "id": "1",
    "entity": "1",
    "import_key": null,
    "array_options": [],
    "array_languages": null,
    "contacts_ids": [],
    "contacts_ids_internal": null,
    "linkedObjectsIds": [],
    "fk_project": null,
    "contact_id": null,
    "user": null,
    "origin_type": null,
    "origin_id": null,
    "ref": "Kiss Metrics Invoice",
    "ref_ext": null,
    "statut": null,
    "status": null,
    "country_id": null,
    "country_code": null,
    "state_id": null,
    "region_id": null,
    "mode_reglement_id": "2",
    "cond_reglement_id": "10",
    "demand_reason_id": null,
    "transport_mode_id": null,
    "shipping_method_id": null,
    "shipping_method": null,
    "fk_multicurrency": "0",
    "multicurrency_code": "EUR",
    "multicurrency_tx": "1.00000000",
    "multicurrency_total_ht": "5100.00000000",
    "multicurrency_total_tva": "0.00000000",
    "multicurrency_total_localtax1": null,
    "multicurrency_total_localtax2": null,
    "multicurrency_total_ttc": "5100.00000000",
    "last_main_doc": null,
    "fk_account": "2",
    "note_public": null,
    "note_private": null,
    "total_ht": "5100.00000000",
    "total_tva": "0.00000000",
    "total_localtax1": "0.00000000",
    "total_localtax2": "0.00000000",
    "total_ttc": "5100.00000000",
    "lines": [
        {
            "module": null,
            "id": "1",
            "entity": null,
            "import_key": null,
            "array_options": [],
            "array_languages": null,
            "contacts_ids": null,
            "contacts_ids_internal": null,
            "linkedObjectsIds": null,
            "origin_type": null,
            "origin_id": null,
            "ref": "KM-cloud-devops",
            "ref_ext": null,
            "statut": null,
            "status": null,
            "state_id": null,
            "region_id": null,
            "demand_reason_id": null,
            "transport_mode_id": null,
            "shipping_method": null,
            "multicurrency_tx": null,
            "multicurrency_total_ht": "5100.00000000",
            "multicurrency_total_tva": "0.00000000",
            "multicurrency_total_localtax1": null,
            "multicurrency_total_localtax2": null,
            "multicurrency_total_ttc": "5100.00000000",
            "last_main_doc": null,
            "fk_account": null,
            "total_ht": "5100.00000000",
            "total_tva": "0.00000000",
            "total_localtax1": null,
            "total_localtax2": null,
            "total_ttc": "5100.00000000",
            "lines": null,
            "actiontypecode": null,
            "civility_code": null,
            "date_creation": null,
            "date_validation": null,
            "date_modification": null,
            "tms": null,
            "date_cloture": null,
            "user_author": null,
            "user_creation": null,
            "user_creation_id": null,
            "user_valid": null,
            "user_validation": null,
            "user_validation_id": null,
            "user_closing_id": null,
            "user_modification": null,
            "user_modification_id": null,
            "fk_user_creat": null,
            "fk_user_modif": null,
            "specimen": 0,
            "totalpaid": null,
            "extraparams": [],
            "product": null,
            "cond_reglement_supplier_id": null,
            "deposit_percent": null,
            "retained_warranty_fk_cond_reglement": null,
            "warehouse_id": null,
            "parent_element": "facturerec",
            "fk_parent_attribute": "fk_facture",
            "rowid": "1",
            "fk_unit": null,
            "date_debut_prevue": null,
            "date_debut_reel": null,
            "date_fin_prevue": null,
            "date_fin_reel": null,
            "weight": null,
            "weight_units": null,
            "length": null,
            "length_units": null,
            "width": null,
            "width_units": null,
            "height": null,
            "height_units": null,
            "surface": null,
            "surface_units": null,
            "volume": null,
            "volume_units": null,
            "multilangs": null,
            "product_type": "1",
            "fk_product": "2",
            "desc": "TVA non applicable &ndash; Article 259-1 du CGI &ndash; Prestation de services localis&eacute;e hors de France (USA)",
            "description": "TVA non applicable &ndash; Article 259-1 du CGI &ndash; Prestation de services localis&eacute;e hors de France (USA)",
            "product_ref": "KM-cloud-devops",
            "product_label": "KissMetrics - Cloud Devops - 1 day",
            "product_barcode": null,
            "product_desc": "",
            "fk_product_type": "1",
            "qty": "10",
            "duree": null,
            "remise_percent": "0",
            "info_bits": "0",
            "special_code": "0",
            "subprice": "510.00000000",
            "subprice_ttc": null,
            "tva_tx": "0.0000",
            "multicurrency_subprice": "510.00000000",
            "multicurrency_subprice_ttc": null,
            "label": null,
            "libelle": "KissMetrics - Cloud Devops - 1 day",
            "price": "510.00000000",
            "vat_src_code": "",
            "localtax1_tx": "0.0000",
            "localtax2_tx": "0.0000",
            "localtax1_type": "0",
            "localtax2_type": "0",
            "remise": null,
            "revenuestamp": null,
            "date_start_fill": "0",
            "date_end_fill": "0",
            "buy_price_ht": null,
            "buyprice": "0.00000000",
            "pa_ht": "0.00000000",
            "marge_tx": "",
            "marque_tx": "100",
            "fk_user_author": null,
            "fk_accounting_account": null,
            "fk_facture": "1",
            "fk_parent_line": null,
            "fk_product_fournisseur_price": null,
            "fk_fournprice": null,
            "rang": "1",
            "fk_contract_line": null
        }
    ],
    "actiontypecode": null,
    "name": null,
    "lastname": null,
    "firstname": null,
    "civility_id": null,
    "civility_code": null,
    "date_creation": null,
    "date_validation": null,
    "date_modification": null,
    "tms": null,
    "date_cloture": null,
    "user_author": "1",
    "user_creation": null,
    "user_creation_id": "1",
    "user_valid": null,
    "user_validation": null,
    "user_validation_id": null,
    "user_closing_id": null,
    "user_modification": null,
    "user_modification_id": null,
    "fk_user_creat": null,
    "fk_user_modif": null,
    "specimen": 0,
    "totalpaid": null,
    "extraparams": [],
    "product": null,
    "cond_reglement_supplier_id": null,
    "deposit_percent": null,
    "retained_warranty_fk_cond_reglement": null,
    "warehouse_id": null,
    "title": "Kiss Metrics Invoice",
    "type": 0,
    "subtype": null,
    "fk_soc": null,
    "socid": "1",
    "paye": null,
    "date": null,
    "date_lim_reglement": "",
    "cond_reglement_code": "10DENDMONTH",
    "cond_reglement_label": null,
    "cond_reglement_doc": "Due in 10 days, end of month",
    "mode_reglement_code": "VIR",
    "revenuestamp": null,
    "totaldeposits": null,
    "totalcreditnotes": null,
    "sumpayed": null,
    "sumpayed_multicurrency": null,
    "sumdeposit": null,
    "sumdeposit_multicurrency": null,
    "sumcreditnote": null,
    "sumcreditnote_multicurrency": null,
    "remaintopay": null,
    "nbofopendirectdebitorcredittransfer": null,
    "creditnote_ids": null,
    "stripechargedone": null,
    "stripechargeerror": null,
    "description": null,
    "ref_client": null,
    "situation_cycle_ref": null,
    "close_code": null,
    "close_note": null,
    "postactionmessages": null,
    "fk_incoterms": null,
    "label_incoterms": null,
    "location_incoterms": null,
    "titre": "Kiss Metrics Invoice",
    "multicurrency_subprice": null,
    "number": null,
    "total": null,
    "tva": null,
    "date_last_gen": "",
    "date_when": "",
    "nb_gen_done": "0",
    "nb_gen_max": "0",
    "frequency": "0",
    "unit_frequency": "m",
    "rule_for_lines_dates": "prepaid",
    "rang": null,
    "special_code": null,
    "usenewprice": "0",
    "fk_societe_rib": null,
    "suspended": "0",
    "auto_validate": "0",
    "generate_pdf": "1",
    "usenewcurrencyrate": null
}
